Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.filesystem.async
Class AsciiZipWriterThread

    java.lang.Object
      java.lang.Thread
          kieker.monitoring.writer.AbstractAsyncThread
              kieker.monitoring.writer.filesystem.async.AbstractZipWriterThread
                  kieker.monitoring.writer.filesystem.async.AsciiZipWriterThread

All Implemented Interfaces:
  Runnable

    public class AsciiZipWriterThread

extends AbstractZipWriterThread

Since:
  1.7
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AsciiZipWriterThread(IMonitoringController monitoringController, BlockingQueue<IMonitoringRecord> writeQueue, StringMappingFileWriter mappingFileWriter, String path, int maxEntriesInFile, int bufferSize, int level)` Create a new AsciiZipWriterThread.

Method Summary

Methods inherited from class kieker.monitoring.writer.filesystem.async.AbstractZipWriterThread
`toString`

Methods inherited from class kieker.monitoring.writer.AbstractAsyncThread
`initShutdown, isFinished, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsciiZipWriterThread

    public AsciiZipWriterThread(IMonitoringController monitoringController,
                                BlockingQueue<IMonitoringRecord> writeQueue,
                                StringMappingFileWriter mappingFileWriter,
                                String path,
                                int maxEntriesInFile,
                                int bufferSize,
                                int level)
                         throws IOException

  Create a new AsciiZipWriterThread.

  Parameters:
    `monitoringController` - the monitoring controller accessed by this thread
    `writeQueue` - the queue where the writer fetches its records from
    `mappingFileWriter` - writer for the mapping file (the file where class names are mapped to record ids)
    `path` - location where to files should go to (the path must point to a directory)
    `maxEntriesInFile` - limit for the number of records per log file
    `bufferSize` - size of the output buffer
    `level` - compression level
  Throws:
    `IOException` - when file operation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net